org.apache.ignite.internal.util.lang

## Interface IgniteThrowableSupplier<E>

Type Parameters:
  `E` - The type of results supplied by this supplier.

All Superinterfaces:
  Serializable

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IgniteThrowableSupplier<E>
    extends Serializable

Represents a supplier of results. There is no requirement that a new or distinct result be returned each time the supplier is invoked. Also it is able to throw `IgniteCheckedException` unlike `Supplier`.

### Method Summary

All Methods Instance Methods Abstract Methods
`E` `get()` Gets a result.

### Method Detail

#### get

    E get()
    throws IgniteCheckedException

Gets a result.

Returns:
  a result
Throws:
  `IgniteCheckedException` - If result calculation failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021